<template>
  <div class="flex flex-col justify-center items-center">
    <logo top="white" middle="white" bottom="white" class="w-screen h-64 bg-primary"/>
    <p class="p-8 font-bold text-white text-4xl text-center bg-primary w-screen">
      Organize & host your hackahon
    </p>
    <svg :viewBox="`0 0 ${svgWidth} ${svgHeight}`" fill="none" xmlns="http://www.w3.org/2000/svg">
      <path :d="`M${svgWidth} ${svgHeight}L0 0H${svgWidth}V${svgHeight}Z`" fill="#6A5ACE"/>
    </svg>
  </div>
</template>

<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  computed: {
    svgWidth(): number {
      return +window.innerWidth;
    },

    svgHeight(): number {
      return +window.innerWidth / 12;
    },
  },
});
</script>

